
Figure - 开发 Dev #112939
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 110643 (进行中 In Progress): 【MK】【006】【Ethernet】主任务

【BSP】【以太网固件】【工厂工具】太网烧录固件集成在SOC中
2022-10-25 17:00 - CD BSP-唐金泽

Status: 完成 Closed Start date: 2022-10-24

Priority: Normal Due date: 2022-10-25

Assignee: CD BSP-杜磊 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Description

以太网烧录固件包集成到soc中

History

#1 - 2022-10-27 20:37 - CD BSP-唐金泽

- Parent task changed from #110125 to #110643

#2 - 2022-10-27 21:24 - CD BSP-唐金泽

- File deleted (以太网烧写EEPROM固件方法.txt)

#3 - 2022-10-27 21:24 - CD BSP-唐金泽

- File deleted (ethtool)

#4 - 2022-10-27 21:24 - CD BSP-唐金泽

- File deleted (125enand25en.bin)

#5 - 2022-10-27 21:24 - CD BSP-唐金泽

- File deleted (以太网烧录固件.zip)

#6 - 2022-10-27 21:31 - CD BSP-唐金泽

- File eth0_bin_flash20221009.zip added

- File HA1_MCE_VC1_Ethernet_Addressing_and_VLAN_Configuration_Specification_V2.2Release.pdf added

- File mac added

- Status changed from 进行中 In Progress to 解决 Resolved

- Assignee changed from CD BSP-刘川 to CD_BSP 彭文亮

更新固件烧录方法，及eth0设置固定mac的方式。

所有设备eth0使用统一固定的mac地址

#7 - 2022-10-27 21:31 - CD BSP-唐金泽

- File deleted (mac)

#8 - 2022-10-27 21:31 - CD BSP-唐金泽

- File mac.jpeg added

#9 - 2022-10-28 14:05 - CD BSP-唐金泽

- Status changed from 解决 Resolved to 进行中 In Progress
添加新需求，请将烧录统一MAC的方式形成脚本，添加到系统包的vendor/bin中，

后续烧录ETH固件和MAC，只需要通过简单指令执行

#10 - 2022-10-31 15:24 - CD BSP-唐金泽

- Assignee changed from CD_BSP 彭文亮 to CD BSP-杜磊

- Target version set to VX1_MCE_FSE_V3.0_update_20221115

#11 - 2022-11-01 17:29 - CD BSP-杜磊

- % Done changed from 0 to 70

本地验证结果：

figure:/ # tc_ethernet_mac_flash_tool.sh w                                                                                                                                                                 

Eth Write MAC Complete

figure:/ # tc_ethernet_mac_flash_tool.sh r                                                                                                                                                                 

36 7c 7c 00 00 0f

#12 - 2022-11-03 10:25 - CD BSP-杜磊

- Status changed from 进行中 In Progress to 完成 Closed

- % Done changed from 70 to 100

FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0043.X101

验证结果：pass|figure:/ # tc_ethernet_mac_flash_tool.sh w

Eth Write MAC Complete

figure:/ # tc_ethernet_mac_flash_tool.sh r

36 7c 7c 00 00 0f

figure:/ #

#13 - 2022-12-22 20:46 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157794 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

chuan.liu@thundersoft.com

BSP:Ethernet: Build Ethernet firmware into application packagesTo write EEPROM firmware:1.adb shell2.ethtool -E eth0 magic 0x74A5 offset 0 length 512 <

/vendor/firmware/125enand25en.bin3.adb rebootVerify whether the firmware is written：adb shell ethtool -e eth0TC-RID: 1201-0400601IssueID:

TS-R-DF-112939Change-Id: I5a4e5c5d272c9beabb4831e64da2b36648885848
#14 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159430 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:Ethernet: Add ethenet mac flash toolWrite Mac:tc_ethernet_mac_flash_tool.sh wRead Mac:tc_ethernet_mac_flash_tool.sh rTC-RID: 1201-0400601IssueID:

TS-R-DF-112939Change-Id: Ieb6c968b9f5969f3ec84a82b41a04cbff5c2c529

Files

eth0_bin_flash20221009.zip 46.3 KB 2022-10-27 CD BSP-唐金泽

HA1_MCE_VC1_Ethernet_Addressing_and_VLAN_Configuration_Specification_V2.2Release.pdf1.14 MB 2022-10-27 CD BSP-唐金泽

mac.jpeg 12.7 KB 2022-10-27 CD BSP-唐金泽
